Bug 239810 - sysutils/paladin: update to 2.0.1
Summary: sysutils/paladin: update to 2.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-12 22:27 UTC by rlwestlund
Modified: 2019-09-02 21:13 UTC (History)
2 users (show)

See Also:
rwestlun: maintainer-feedback+


Attachments
svn diff (825 bytes, patch)
2019-08-12 22:27 UTC, rlwestlund
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rlwestlund 2019-08-12 22:27:46 UTC
Created attachment 206482 [details]
svn diff

sysutils/paladin needs updating to version 2.0.1. A major bug was fixed where paladin wouldn't exit after receiving SIGTERM if its children didn't exit successfully; it would stay alive and keep restarting its children.
Comment 1 Randy Westlund 2019-08-12 22:32:55 UTC
You have my approval. Now go find a committer :)
Comment 2 rlwestlund 2019-08-26 16:12:23 UTC
swills@FreeBSD.org, if you're a committer, can you please commit this or comment? We have a production setup that needs this.
Comment 3 commit-hook freebsd_committer 2019-09-02 21:12:49 UTC
A commit references this bug:

Author: swills
Date: Mon Sep  2 21:12:21 UTC 2019
New revision: 510850
URL: https://svnweb.freebsd.org/changeset/ports/510850

Log:
  sysutils/paladin: update to 2.0.1

  PR:		239810
  Submitted by:	rlwestlund@gmail.com (maintainer)

Changes:
  head/sysutils/paladin/Makefile
  head/sysutils/paladin/distinfo
Comment 4 Steve Wills freebsd_committer 2019-09-02 21:13:25 UTC
Committed, thanks!